﻿Public Class LoginForm
    Private Sub okButton_Click(sender As Object, e As EventArgs) Handles okButton.Click
        With Form1

            If createRoomRadioButton.Checked Then 'create Room
                If usernameTextBox.Text = "" Then
                    usernameTextBox.BackColor = Color.Red
                    Exit Sub
                End If
                .connection.connect()
                .roomAdmin = True
                .roomCreated = True
                .connection.send("createRoom", { .roomCreated, .roomAdmin, usernameTextBox.Text}) ' name
            Else 'join Room
                If usernameTextBox.Text = "" Then
                    usernameTextBox.BackColor = Color.Red
                    Exit Sub
                End If
                If roomTextBox.Text.Length <> 3 Then
                    roomTextBox.BackColor = Color.Red
                    Exit Sub
                End If
                .connection.connect()
                .connection.send("joinRoom", { .roomCreated, .roomAdmin, usernameTextBox.Text, roomTextBox.Text}) ' name, room


            End If
            .Show()
            .benutzer = usernameTextBox.Text
            .usernameLabel.Text = "Du: " & .benutzer
        End With

    End Sub

    Private Sub closeButton_Click(sender As Object, e As EventArgs) Handles closeButton.Click
        Me.Close()
    End Sub


    Private Sub TextBox_TextChanged(sender As Object, e As EventArgs) Handles usernameTextBox.TextChanged, roomTextBox.TextChanged
        usernameTextBox.BackColor = Color.FromArgb(100, 100, 100)
        roomTextBox.BackColor = Color.FromArgb(100, 100, 100)
    End Sub

    Private Sub createRoomRadioButton_CheckedChanged(sender As Object, e As EventArgs) Handles createRoomRadioButton.CheckedChanged
        If createRoomRadioButton.Checked Then
            roomLabel.Visible = False
            roomTextBox.Visible = False
        Else
            roomLabel.Visible = True
            roomTextBox.Visible = True
        End If
    End Sub

    Private Sub usernameTextBox_KeyPress(sender As Object, e As KeyPressEventArgs) Handles usernameTextBox.KeyPress
        If e.KeyChar = Chr(13) Then
            e.Handled = True
            If roomTextBox.Text = "" Then
                createRoomRadioButton.Checked = True
                joinRoomRadioButton.Checked = False
                createRoomRadioButton.Focus()
            Else
                roomTextBox.Focus()
            End If
        End If
    End Sub

    Private Sub roomTextBox_KeyPress(sender As Object, e As KeyPressEventArgs) Handles roomTextBox.KeyPress
        If e.KeyChar = Chr(13) Then
            e.Handled = True
            If Not usernameTextBox.Text = "" Then
                okButton_Click(New Object, New EventArgs)
            Else
                usernameTextBox.Focus()
            End If
        End If
    End Sub

    Private Sub createRoomRadioButton_KeyPress(sender As Object, e As KeyPressEventArgs) Handles createRoomRadioButton.KeyPress
        If e.KeyChar = Chr(13) Then
            okButton_Click(New Object, New EventArgs)
        End If
    End Sub
End Class