﻿Public Class drawForm
    Public Shared draw As Graphics
    Dim lastPos As New Point

    Sub New()
        InitializeComponent()
        draw = drawBox.CreateGraphics
    End Sub

    Private Sub drawBox_MouseDown(sender As Object, e As MouseEventArgs) Handles drawBox.MouseDown
        If Form1.currentDrawer Then
            drawTimer.Start()
        End If
    End Sub
    Private Sub drawBox_MouseUp(sender As Object, e As MouseEventArgs) Handles drawBox.MouseUp
        lastPos = Nothing
        drawTimer.Stop()
    End Sub
    Private Sub drawTimer_Tick(sender As Object, e As EventArgs) Handles drawTimer.Tick
        Dim pos As New Point(drawBox.PointToClient(MousePosition))
        'Form1.timeLabel.Text = pos.ToString
        If lastPos = Nothing Then
            lastPos = pos
        End If
        draw.DrawLine(Form1.drawPen, pos, lastPos)
        draw.FillEllipse(New SolidBrush(Form1.drawPen.Color), pos.X - Form1.drawPen.Width / 2, pos.Y - Form1.drawPen.Width / 2, Form1.drawPen.Width, Form1.drawPen.Width)
        Form1.connection.send("drawLineIn", {pos.X.ToString, pos.Y.ToString, lastPos.X.ToString, lastPos.Y.ToString, Form1.drawPen.Color.ToString, Form1.drawPen.Width.ToString})
        'draw.DrawEllipse(drawPen, pos.X, pos.Y, 1, 1)
        lastPos = pos
    End Sub

    Public Sub drawLineOut()
        With Form1
            Dim data = Form1.feld(2).Split("~")
            Dim p As New Pen(Color.FromName(data(4).Replace("Color [", "").Replace("]", "")), CInt(data(5)))
            draw.DrawLine(p, CInt(data(0)), CInt(data(1)), CInt(data(2)), CInt(data(3)))
            draw.FillEllipse(New SolidBrush(p.Color), CInt(data(0)) - p.Width / 2, CInt(data(1)) - p.Width / 2, p.Width, p.Width)

            '.Text = CInt(Int((10000 * Rnd()) + 1))
            '.solutionLabel.Text = p.Color.ToString
            '.timeLabel.BackColor = p.Color
            '.testLabel.Text = data(0) & data(1) & data(2) & data(3) & Color.FromName(data(4).Replace("Color [", "").Replace("]", "")).ToString & data(5)
        End With
    End Sub

    Public Sub clearDraw()
        draw.Clear(Color.White)
    End Sub


End Class